Package org.botblock.javabotblockapi

## Enum Site

- java.lang.Object
- - java.lang.Enum<Site>
  - - org.botblock.javabotblockapi.Site

- All Implemented Interfaces:
    `Serializable`, `Comparable<Site>`

      public enum Site
      extends Enum<Site>

  Enum class containing all sites currently supported by BotBlock.org.

  The fields can be used in:

  - `GetBotAction`
  - `GetListAction` or
  - `BotBlockAPI.Builder`
  Since:
    2.1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ARCANE_BOTCENTER_XYZ` | Deprecated. Since: 5.1.13 Replacement: `ARCANE_CENTER_XYZ`
    `ARCANE_CENTER_XYZ` | arcane-center.xyz
    `BOTLIST_SPACE` | botlist.space
    `BOTS_ONDISCORD_XYZ` | bots.ondiscord.xyz
    `BOTSFORDISCORD_COM` | botsfordiscord.com
    `CLOUD_BOTLIST_XYZ` | cloud-botlist.xyz
    `CLOUDLIST_XYZ` | cloudlist.xyz
    `DBLISTA_PL` | dblista.pl
    `DISCORD_BOATS` | discord.boats
    `DISCORD_BOTS_GG` | discord.bots.gg
    `DISCORDAPPS_DEV` | discordapps.dev
    `DISCORDBOT_WORLD` | Deprecated. Since: 5.1.15 Replacement: None
    `DISCORDBOTLIST_COM` | discordbotlist.com
    `DISCORDBOTREVIEWS_XYZ` | Deprecated. Since: 5.1.14 Replacement: `DISCORDLIST_CO`
    `DISCORDBOTS_FUN` | discordbots.fun
    `DISCORDEXTREMELIST_XYZ` | discordextremelist.xyz
    `DISCORDLIST_CO` | discordlist.co
    `DIVINEDISCORDBOTS_COM` | divinediscordbots.com
    `GLENNBOTLIST_XYZ` | glennbotlist.xyz
    `LBOTS_ORG` | Deprecated. Since: 5.1.15 Replacement: None
    `MYTHICALBOTS_XYZ` | mythicalbots.xyz
    `SPACE_BOT_LIST_ORG` | space-bot-list.org
    `WONDERBOTLIST_COM` | wonderbotlist.com
    `YABL_XYZ` | yabl.xyz

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getSite()` | Gives the ID of the selected site, which is used as ID in the BotBlock.org API.
    `static Site` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Site[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARCANE_CENTER_XYZ

          public static final Site ARCANE_CENTER_XYZ

      arcane-center.xyz

    - #### ARCANE_BOTCENTER_XYZ

          @Deprecated
          @DeprecatedSince(version="5.1.13",
                           replacements="#ARCANE_CENTER_XYZ")
          public static final Site ARCANE_BOTCENTER_XYZ

      Deprecated.
      Since: 5.1.13
      Replacement: `ARCANE_CENTER_XYZ`
      arcane-botcenter.xyz

    - #### BOTLIST_SPACE

          public static final Site BOTLIST_SPACE

      botlist.space

    - #### BOTSFORDISCORD_COM

          public static final Site BOTSFORDISCORD_COM

      botsfordiscord.com

    - #### BOTS_ONDISCORD_XYZ

          public static final Site BOTS_ONDISCORD_XYZ

      bots.ondiscord.xyz

    - #### CLOUD_BOTLIST_XYZ

          public static final Site CLOUD_BOTLIST_XYZ

      cloud-botlist.xyz
      Since:
        3.2.1

    - #### CLOUDLIST_XYZ

          public static final Site CLOUDLIST_XYZ

      cloudlist.xyz
      Since:
        5.1.9

    - #### DBLISTA_PL

          public static final Site DBLISTA_PL

      dblista.pl

    - #### DISCORDAPPS_DEV

          public static final Site DISCORDAPPS_DEV

      discordapps.dev

    - #### DISCORD_BOATS

          public static final Site DISCORD_BOATS

      discord.boats

    - #### DISCORDBOTLIST_COM

          public static final Site DISCORDBOTLIST_COM

      discordbotlist.com

    - #### DISCORDBOTREVIEWS_XYZ

          @Deprecated
          @DeprecatedSince(version="5.1.14",
                           replacements="#DISCORDLIST_CO")
          public static final Site DISCORDBOTREVIEWS_XYZ

      Deprecated.
      Since: 5.1.14
      Replacement: `DISCORDLIST_CO`
      discordbotreviews.xyz

    - #### DISCORDBOT_WORLD

          @Deprecated
          @DeprecatedSince(version="5.1.15")
          public static final Site DISCORDBOT_WORLD

      Deprecated.
      Since: 5.1.15
      Replacement: None
      discordbot.world

    - #### DISCORD_BOTS_GG

          public static final Site DISCORD_BOTS_GG

      discord.bots.gg

    - #### DISCORDBOTS_FUN

          public static final Site DISCORDBOTS_FUN

      discordbots.fun

    - #### DISCORDEXTREMELIST_XYZ

          public static final Site DISCORDEXTREMELIST_XYZ

      discordextremelist.xyz
      Since:
        2.3.3

    - #### DIVINEDISCORDBOTS_COM

          public static final Site DIVINEDISCORDBOTS_COM

      divinediscordbots.com

    - #### DISCORDLIST_CO

          public static final Site DISCORDLIST_CO

      discordlist.co

    - #### GLENNBOTLIST_XYZ

          public static final Site GLENNBOTLIST_XYZ

      glennbotlist.xyz

    - #### LBOTS_ORG

          @Deprecated
          @DeprecatedSince(version="5.1.15")
          public static final Site LBOTS_ORG

      Deprecated.
      Since: 5.1.15
      Replacement: None
      lbots.org

    - #### MYTHICALBOTS_XYZ

          public static final Site MYTHICALBOTS_XYZ

      mythicalbots.xyz

    - #### SPACE_BOT_LIST_ORG

          public static final Site SPACE_BOT_LIST_ORG

      space-bot-list.org

    - #### WONDERBOTLIST_COM

          public static final Site WONDERBOTLIST_COM

      wonderbotlist.com

    - #### YABL_XYZ

          public static final Site YABL_XYZ

      yabl.xyz
      Since:
        2.1.1

  - ### Method Detail

    - #### values

          public static Site[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Site c : Site.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Site valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSite

          public String getSite()

      Gives the ID of the selected site, which is used as ID in the BotBlock.org API.
      Returns:
        The selected site.